Bug 1346950 - Ansible fails on Amazon Linux
Summary: Ansible fails on Amazon Linux
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ansible
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-15 17:42 UTC by Matt Domsch
Modified: 2016-08-15 21:49 UTC (History)
6 users (show)

Fixed In Version: ansible-2.1.1.0-1.fc23 ansible-2.1.1.0-1.fc24 ansible-2.1.1.0-1.el7 ansible-2.1.1.0-1.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-05 20:50:06 UTC
Type: Bug


Attachments (Terms of Use)
spec file patch (1.71 KB, patch)
2016-06-15 17:44 UTC, Matt Domsch
no flags Details | Diff

Description Matt Domsch 2016-06-15 17:42:04 UTC
Description of problem:
ansible-2.1.0.0-1 fails to execute on Amazon Linux 2015.xx, which is based on EL6, because /usr/bin/python refers to Python 2.7 instead of Python 2.6 (as EL6 uses).

Version-Release number of selected component (if applicable):
2.1.0.0-1

How reproducible:
always

Steps to Reproduce:
1. start an Amazon Linux AMI
2. yum --enablerepo=epel install ansible
3. ansible

Actual results:
failure unable to find ansible.constants module.

Expected results:
Success

Additional info:

Comment 1 Matt Domsch 2016-06-15 17:44:11 UTC
Created attachment 1168464 [details]
spec file patch

spec file patch

Comment 2 Matt Domsch 2016-06-15 19:43:20 UTC
Positive feedback from nirik and abadger1999 on IRC.  I will apply the patch on master and EL6 branches and build for EL6.

Comment 3 Jan Kurik 2016-07-26 04:30:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 4 Fedora Update System 2016-07-28 19:01:31 UTC
ansible-2.1.1.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e579465482

Comment 5 Fedora Update System 2016-07-28 19:01:43 UTC
ansible-2.1.1.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-730456169d

Comment 6 Fedora Update System 2016-07-28 19:01:48 UTC
ansible-2.1.1.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d548b4fbad

Comment 7 Fedora Update System 2016-07-28 19:01:53 UTC
ansible-2.1.1.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-96a52ccff6

Comment 8 Fedora Update System 2016-07-29 03:19:01 UTC
ansible-2.1.1.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-96a52ccff6

Comment 9 Fedora Update System 2016-07-29 03:55:14 UTC
ansible-2.1.1.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-730456169d

Comment 10 Fedora Update System 2016-07-29 03:55:24 UTC
ansible-2.1.1.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d548b4fbad

Comment 11 Fedora Update System 2016-07-29 07:19:02 UTC
ansible-2.1.1.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e579465482

Comment 12 Fedora Update System 2016-08-05 20:50:00 UTC
ansible-2.1.1.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-08-05 20:53:48 UTC
ansible-2.1.1.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-08-14 05:19:33 UTC
ansible-2.1.1.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-08-15 21:49:18 UTC
ansible-2.1.1.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.